org.cpsolver.ifs.util

## Enum DistanceMetric.Ellipsoid

- java.lang.Object
- - java.lang.Enum<DistanceMetric.Ellipsoid>
  - - org.cpsolver.ifs.util.DistanceMetric.Ellipsoid

- All Implemented Interfaces:
    Serializable, Comparable<DistanceMetric.Ellipsoid>
  Enclosing class:
    DistanceMetric

      public static enum DistanceMetric.Ellipsoid
      extends Enum<DistanceMetric.Ellipsoid>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Airy1830`
    `Clarke1880`
    `GRS67`
    `GRS80`
    `Intl1924`
    `LEGACY`
    `WGS84`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `a()` Major semiaxe A
    `double` | `b()` Minor semiaxe B
    `double` | `f()` Flattening (A-B) / A
    `String` | `getEclipsoindName()` Name of this coordinate system
    `String` | `getFirstCoordinateName()` Name of the fist coordinate (e.g., Latitude)
    `String` | `getSecondCoordinateName()` Name of the second coordinate (e.g., Longitude)
    `static DistanceMetric.Ellipsoid` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DistanceMetric.Ellipsoid[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEGACY

          public static final DistanceMetric.Ellipsoid LEGACY

    - #### WGS84

          public static final DistanceMetric.Ellipsoid WGS84

    - #### GRS80

          public static final DistanceMetric.Ellipsoid GRS80

    - #### Airy1830

          public static final DistanceMetric.Ellipsoid Airy1830

    - #### Intl1924

          public static final DistanceMetric.Ellipsoid Intl1924

    - #### Clarke1880

          public static final DistanceMetric.Ellipsoid Clarke1880

    - #### GRS67

          public static final DistanceMetric.Ellipsoid GRS67

  - ### Method Detail

    - #### values

          public static DistanceMetric.Ellipsoid[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistanceMetric.Ellipsoid c : DistanceMetric.Ellipsoid.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistanceMetric.Ellipsoid valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### a

          public double a()

      Major semiaxe A
      Returns:
        major semiaxe A

    - #### b

          public double b()

      Minor semiaxe B
      Returns:
        major semiaxe B

    - #### f

          public double f()

      Flattening (A-B) / A
      Returns:
        Flattening (A-B) / A

    - #### getEclipsoindName

          public String getEclipsoindName()

      Name of this coordinate system
      Returns:
        elipsoid name

    - #### getFirstCoordinateName

          public String getFirstCoordinateName()

      Name of the fist coordinate (e.g., Latitude)
      Returns:
        first coordinate's name

    - #### getSecondCoordinateName

          public String getSecondCoordinateName()

      Name of the second coordinate (e.g., Longitude)
      Returns:
        second coordinate's name